Error messages for Wiki macros are not internationalized

2020-05-10 10:07 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

Error messages of Wiki macros are always displayed in English regardless of the current user's language setting. In the screenshot

below, the user's language is Japanese.

 

Related issues:

Related to Redmine - Patch #37668: Fix bad I18n `t` call in macro error handler Closed

Associated revisions

Revision 20013 - 2020-09-10 09:19 - Go MAEDA

Internationalize error messages for wiki macros (#33426).

Patch by Go MAEDA.

Revision 20014 - 2020-09-10 09:23 - Go MAEDA

Update locales (#33426).

Revision 20015 - 2020-09-11 02:42 - Go MAEDA

Don't internationalize error messages used when defining a macro (#33426).

History

#1 - 2020-05-10 15:29 - Go MAEDA

- File 33426.patch added

- Target version set to Candidate for next major release

Here is a patch to fix the issue.

#2 - 2020-05-12 11:55 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-09-10 09:22 - Go MAEDA

- Subject changed from Error messages of Wiki macros are not internationalized to Error messages for Wiki macros are not internationalized

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch.

#4 - 2020-09-10 12:02 - Go MAEDA

- File fix-r20013.patch added

- Status changed from Closed to Reopened

Error messages in macro method that is used when making a macro should not be internationalized for the following reasons:

Macros are defined during the startup process of Redmine. At that point, I18n strings are not available yet

The error messages appear only in logs, not UI

The attached patch partially reverts the change.

#5 - 2020-09-11 02:43 - Go MAEDA

- Status changed from Reopened to Closed

Go MAEDA wrote:

Error messages in macro method that is used when making a macro should not be internationalized for the following reasons:

Macros are defined during the startup process of Redmine. At that point, I18n strings are not available yet

The error messages appear only in logs, not UI

The attached patch partially reverts the change.

 Fixed in r20015.

#6 - 2022-09-13 07:33 - Go MAEDA

- Related to Patch #37668: Fix bad I18n `t` call in macro error handler added

Files

en-error-message-on-ja-page.png 21.8 KB 2020-05-10 Go MAEDA

33426.patch 5.39 KB 2020-05-10 Go MAEDA

fix-r20013.patch 35.7 KB 2020-09-10 Go MAEDA
